# roles/dhcp/handlers/main.yml
---
- name: restart dhcp
  service:
    name: "{{ dhcp_service }}"
    state: "{{ (dhcp_global_server_state | default('started') == 'started') | ternary('restarted', 'stopped') }}"
...